activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevin Quick (JIRA)" <>
Subject [jira] [Created] (AMQCPP-370) pkg-config does not properly indicate static dependencies
Date Mon, 02 May 2011 17:23:03 GMT
pkg-config does not properly indicate static dependencies

                 Key: AMQCPP-370
             Project: ActiveMQ C++ Client
          Issue Type: Bug
          Components: CMS Impl
    Affects Versions: 3.2.5
         Environment: Linux
            Reporter: Kevin Quick
            Assignee: Timothy Bish
            Priority: Minor

The output from pkg-config does not properly indicate the full dependency requirements for
static linking.  For example, if configured --with-openssl=... then the pkg-config --static
output should reflect this.

Here's an example from libcurl demonstrating this:
curl-7.21.6 $ ./configure
curl-7.21.6 $ cp libcurl.pc libcurl-plain.pc
curl-7.21.6 $ ./configure --with-ssl
curl-7.21.6 $ diff libcurl-plain.pc libcurl.pc
< Libs.private: -lrt 
> Libs.private: -lssl -lcrypto -lrt -lssl -lcrypto -ldl 
curl-7.21.6 $ pkg-config --libs libcurl
curl-7.21.6 $ pkg-config --libs --static libcurl
-lcurl -lssh2 -lssl -lcrypto -lrt -lz
curl-7.21.6 $ 

This can be (crudely) fixed by adding the following to

Libs.private = @AMQ_LIBS@

[A cleaner solution would require updates of for a more precise specification.]

This message is automatically generated by JIRA.
For more information on JIRA, see:

View raw message